SDL_GetJoystickProductVersion(3)

NAME
SDL_GetJoystickProductVersion - Get the product version of an opened joystick, if available.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

Uint16 SDL_GetJoystickProductVersion(SDL_Joystick *joystick);

DESCRIPTION
If the product version isn't available this function returns 0.

FUNCTION PARAMETERS

joystick
    the SDL_Joystick obtained from SDL_OpenJoystick().

RETURN VALUE
Returns the product version of the selected joystick, or 0 if unavailable.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetJoystickProductVersionForID(3)